diff --git a/centos_ci_build b/centos_ci_build
index 871fd17..9c96b15 100755
--- a/centos_ci_build
+++ b/centos_ci_build
@@ -1,5 +1,5 @@
 #!/bin/sh
 # Build steps used in CentOS CI
 
-yum -y update
+#yum -y update
 SKIP_QA_HARNESS=1 ./runtests.sh p_gzip
diff --git a/tests/p_gzip/10-C5-test-binaries b/tests/p_gzip/10-C5-test-binaries
index 77c1ea6..ac55d35 100755
--- a/tests/p_gzip/10-C5-test-binaries
+++ b/tests/p_gzip/10-C5-test-binaries
@@ -18,7 +18,7 @@ t_Log "Running $0 - Checking binaries are present and run on C5"
 [ "$(readlink -e /usr/bin/gunzip)" == "/bin/gunzip" ] || ExitFail
 [ "$(readlink -e /usr/bin/gzip)" == "/bin/gzip" ] || ExitFail
 
-for binary in gunzip gzip zcat gzexe zless
+for binary in gunzip gzip zcat gzexe zless zmore
 do
     echo -n "$binary "
     $binary --version &>/dev/null || ExitFail
@@ -27,10 +27,10 @@ done
 for binary in znew zmore zforce
 do
     echo -n "$binary "
-#    $binary &>/dev/null
-    $binary
-echo $?
-    [ $? != '0' ] && ExitFail
+    $binary &>/dev/null
+#    $binary
+#echo $?
+    [ $? != '1' ] && ExitFail
 done
 
 for binary in zgrep zfgrep zegrep zdiff zcmp